/* 
 * File:   CMWException.h
 * Author: mwittig
 *
 * Created on August 16, 2011, 10:56 AM
 */

#ifndef _CMWEXCEPTION_H
#define	_CMWEXCEPTION_H

using namespace std;

class CMWException : public exception
{
public:
    CMWException();
    CMWException(const string& strVal){my_Message = strVal;};
    CMWException(const CMWException& orig);

    CMWException operator+(const string& val);

    ~CMWException()throw(){}
  

    virtual const char* what() const throw()
    {
        return my_Message.c_str();
    }

private:

  string my_Message;

};

#endif	/* _CMWEXCEPTION_H */

